<template>
  <div class="employees">
    <Navbar></Navbar>
    <EmployeeForm class="employee-form"></EmployeeForm>
    <div class="columns">
      <div class="column" >
        <EmployeeList id="with-access" title="Empleados con acceso" :employeeList="employeesWithAccess"></EmployeeList>
      </div>
      <div class="column">
        <EmployeeList id="without-access" title="Empleados sin acceso" :employeeList="employeesWithoutAccess"></EmployeeList>
      </div>
    </div>
  </div>
</template>


<script>
// @ is an alias to /src
import Navbar from '@/components/Navbar.vue'
import EmployeeForm from '@/components/EmployeeForm.vue'
import EmployeeList from '@/components/EmployeeList.vue'
import {mapGetters, mapActions} from 'vuex'

export default {
  name: 'Home',
  components: {
    Navbar,
    EmployeeForm,
    EmployeeList
  },
  created() {
    this.bindEmployeeList();
  },
  computed: {
    ...mapGetters({
      employeesWithAccess: 'getEmployeeWithAccessList',
      employeesWithoutAccess: 'getEmployeeWithoutAccessList',
    }),
  },
  methods: {
    ...mapActions(['bindEmployeeList']),
  }


}
</script>

<style lang="scss">
  .employees {
    max-width: 1200px;
    padding-top: 1rem;
    margin-left: auto;
    margin-right: auto;
    .employee-form {
      margin-top: 3.5rem;
    }
    .columns {
      margin-top: 2rem;
      .column {
        margin: 0 1rem;
      }
    }
  }
</style>
